From 9e6485e0f98d21d6e395ec13976060df736665ab Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Sat, 14 Mar 2020 09:04:34 +0100
Subject: [PATCH 2/2] Include <sys/mutex.h> and <sys/mutex2.h> only where they
 are needed.

---
 sys/bus/smbus/ichsmb/ichsmb_pci.c                   | 1 -
 sys/bus/u4b/controller/ohci.c                       | 1 -
 sys/bus/u4b/controller/xhci_pci.c                   | 1 -
 sys/bus/u4b/input/uep.c                             | 1 -
 sys/bus/u4b/input/uhid.c                            | 1 -
 sys/bus/u4b/net/if_cdce.c                           | 1 -
 sys/bus/u4b/net/if_udav.c                           | 1 -
 sys/bus/u4b/storage/ustorage_fs.c                   | 1 -
 sys/bus/u4b/template/usb_template_phone.c           | 1 -
 sys/bus/u4b/template/usb_template_serialnet.c       | 1 -
 sys/bus/u4b/usb_busdma.c                            | 1 -
 sys/bus/u4b/usb_core.c                              | 1 -
 sys/bus/u4b/usb_debug.c                             | 1 -
 sys/bus/u4b/usb_dev.c                               | 1 -
 sys/bus/u4b/usb_device.c                            | 1 -
 sys/bus/u4b/usb_dynamic.c                           | 1 -
 sys/bus/u4b/usb_error.c                             | 1 -
 sys/bus/u4b/usb_generic.c                           | 1 -
 sys/bus/u4b/usb_handle_request.c                    | 1 -
 sys/bus/u4b/usb_hid.c                               | 1 -
 sys/bus/u4b/usb_hub.c                               | 1 -
 sys/bus/u4b/usb_lookup.c                            | 1 -
 sys/bus/u4b/usb_mbuf.c                              | 1 -
 sys/bus/u4b/usb_msctest.c                           | 1 -
 sys/bus/u4b/usb_parse.c                             | 1 -
 sys/bus/u4b/usb_process.c                           | 1 -
 sys/bus/u4b/usb_transfer.c                          | 1 -
 sys/bus/u4b/wlan/if_urtwn.c                         | 1 -
 sys/dev/disk/dm/crypt/dm_target_crypt.c             | 1 -
 sys/dev/disk/iscsi/initiator/isc_cam.c              | 1 -
 sys/dev/disk/iscsi/initiator/isc_soc.c              | 1 -
 sys/dev/disk/iscsi/initiator/isc_subr.c             | 1 -
 sys/dev/disk/iscsi/initiator/iscsi.c                | 1 -
 sys/dev/disk/iscsi/initiator/iscsi_subr.c           | 1 -
 sys/dev/disk/iscsi/initiator/iscsivar.h             | 3 +++
 sys/dev/drm/drm_gem.c                               | 1 -
 sys/dev/misc/evdev/evdev_mt.c                       | 1 -
 sys/dev/misc/kbdmux/kbdmux.c                        | 1 -
 sys/dev/netif/ath/ath/if_ath.c                      | 1 -
 sys/dev/netif/ath/ath/if_ath_ahb.c                  | 1 -
 sys/dev/netif/ath/ath/if_ath_alq.c                  | 1 -
 sys/dev/netif/ath/ath/if_ath_beacon.c               | 1 -
 sys/dev/netif/ath/ath/if_ath_btcoex.c               | 1 -
 sys/dev/netif/ath/ath/if_ath_debug.c                | 1 -
 sys/dev/netif/ath/ath/if_ath_descdma.c              | 1 -
 sys/dev/netif/ath/ath/if_ath_ioctl.c                | 1 -
 sys/dev/netif/ath/ath/if_ath_keycache.c             | 1 -
 sys/dev/netif/ath/ath/if_ath_led.c                  | 1 -
 sys/dev/netif/ath/ath/if_ath_lna_div.c              | 1 -
 sys/dev/netif/ath/ath/if_ath_pci.c                  | 1 -
 sys/dev/netif/ath/ath/if_ath_rx.c                   | 1 -
 sys/dev/netif/ath/ath/if_ath_rx_edma.c              | 1 -
 sys/dev/netif/ath/ath/if_ath_spectral.c             | 1 -
 sys/dev/netif/ath/ath/if_ath_sysctl.c               | 1 -
 sys/dev/netif/ath/ath/if_ath_tdma.c                 | 1 -
 sys/dev/netif/ath/ath/if_ath_tx.c                   | 1 -
 sys/dev/netif/ath/ath/if_ath_tx_edma.c              | 1 -
 sys/dev/netif/ath/ath/if_ath_tx_ht.c                | 1 -
 sys/dev/netif/ath/ath_dfs/null/dfs_null.c           | 1 -
 sys/dev/netif/ath/ath_hal/ah_osdep.c                | 1 -
 sys/dev/netif/ath/ath_rate/amrr/amrr.c              | 1 -
 sys/dev/netif/ath/ath_rate/onoe/onoe.c              | 1 -
 sys/dev/netif/ath/ath_rate/sample/sample.c          | 1 -
 sys/dev/netif/bwn/bwn/if_bwn.c                      | 1 -
 sys/dev/netif/bwn/bwn/if_bwn_phy_common.c           | 1 -
 sys/dev/netif/bwn/bwn/if_bwn_phy_g.c                | 1 -
 sys/dev/netif/bwn/bwn/if_bwn_phy_lp.c               | 1 -
 sys/dev/netif/bwn/bwn/if_bwn_util.c                 | 1 -
 sys/dev/netif/bwn/siba/siba_bwn.c                   | 1 -
 sys/dev/netif/bwn/siba/siba_core.c                  | 1 -
 sys/dev/netif/iwi/if_iwi.c                          | 1 -
 sys/dev/netif/ral/if_ral_pci.c                      | 1 -
 sys/dev/netif/ral/rt2560.c                          | 1 -
 sys/dev/netif/ral/rt2661.c                          | 1 -
 sys/dev/netif/ral/rt2860.c                          | 1 -
 sys/dev/powermng/intpm/intpm.c                      | 1 -
 sys/dev/sound/midi/midi.c                           | 1 -
 sys/dev/sound/midi/mpu401.c                         | 1 -
 sys/dev/sound/midi/sequencer.c                      | 1 -
 sys/dev/sound/pci/emu10kx-pcm.c                     | 1 -
 sys/dev/virtual/virtio/balloon/virtio_balloon.c     | 1 -
 sys/emulation/ndis/kern_ndis.c                      | 1 -
 sys/emulation/ndis/kern_windrv.c                    | 1 -
 sys/emulation/ndis/subr_hal.c                       | 1 -
 sys/kern/subr_unit.c                                | 1 -
 sys/net/pf/pf_ioctl.c                               | 1 -
 sys/netgraph7/bluetooth/drivers/ubtbcmfw/ubtbcmfw.c | 1 -
 sys/platform/pc64/x86_64/machdep.c                  | 1 -
 sys/vfs/hammer2/hammer2_iocom.c                     | 2 --
 sys/vfs/hammer2/hammer2_vfsops.c                    | 2 --
 sys/vfs/nfs/nfs_iod.c                               | 1 -
 sys/vfs/tmpfs/tmpfs_vfsops.c                        | 1 -
 92 files changed, 3 insertions(+), 93 deletions(-)

diff --git a/sys/bus/smbus/ichsmb/ichsmb_pci.c b/sys/bus/smbus/ichsmb/ichsmb_pci.c
index f9f7a5d3ae..cae4c043df 100644
--- a/sys/bus/smbus/ichsmb/ichsmb_pci.c
+++ b/sys/bus/smbus/ichsmb/ichsmb_pci.c
@@ -49,7 +49,6 @@
 #include <sys/module.h>
 #include <sys/errno.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/syslog.h>
 #include <sys/bus.h>
 
diff --git a/sys/bus/u4b/controller/ohci.c b/sys/bus/u4b/controller/ohci.c
index 4eb38af2a2..ef0df21331 100644
--- a/sys/bus/u4b/controller/ohci.c
+++ b/sys/bus/u4b/controller/ohci.c
@@ -42,7 +42,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/controller/xhci_pci.c b/sys/bus/u4b/controller/xhci_pci.c
index c228f6748d..9ed9934070 100644
--- a/sys/bus/u4b/controller/xhci_pci.c
+++ b/sys/bus/u4b/controller/xhci_pci.c
@@ -34,7 +34,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/input/uep.c b/sys/bus/u4b/input/uep.c
index 06f7e9f844..23adfd528b 100644
--- a/sys/bus/u4b/input/uep.c
+++ b/sys/bus/u4b/input/uep.c
@@ -37,7 +37,6 @@
 #include <sys/kernel.h>
 #include <sys/lock.h>
 #include <sys/module.h>
-#include <sys/mutex.h>
 #include <sys/sysctl.h>
 #include <sys/systm.h>
 
diff --git a/sys/bus/u4b/input/uhid.c b/sys/bus/u4b/input/uhid.c
index 9997834f3f..6dbb2d62b9 100644
--- a/sys/bus/u4b/input/uhid.c
+++ b/sys/bus/u4b/input/uhid.c
@@ -55,7 +55,6 @@
 #include <sys/priv.h>
 #include <sys/conf.h>
 #include <sys/fcntl.h>
-#include <sys/mutex.h>
 
 #include "usbdevs.h"
 #include <bus/u4b/usb.h>
diff --git a/sys/bus/u4b/net/if_cdce.c b/sys/bus/u4b/net/if_cdce.c
index 8af13a1f44..acf6bc9aa2 100644
--- a/sys/bus/u4b/net/if_cdce.c
+++ b/sys/bus/u4b/net/if_cdce.c
@@ -56,7 +56,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/net/if_udav.c b/sys/bus/u4b/net/if_udav.c
index 21153d511f..e1d43b72db 100644
--- a/sys/bus/u4b/net/if_udav.c
+++ b/sys/bus/u4b/net/if_udav.c
@@ -52,7 +52,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/storage/ustorage_fs.c b/sys/bus/u4b/storage/ustorage_fs.c
index 46168c5c74..cb15f16458 100644
--- a/sys/bus/u4b/storage/ustorage_fs.c
+++ b/sys/bus/u4b/storage/ustorage_fs.c
@@ -45,7 +45,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/template/usb_template_phone.c b/sys/bus/u4b/template/usb_template_phone.c
index 114409d74b..481e314545 100644
--- a/sys/bus/u4b/template/usb_template_phone.c
+++ b/sys/bus/u4b/template/usb_template_phone.c
@@ -40,7 +40,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/template/usb_template_serialnet.c b/sys/bus/u4b/template/usb_template_serialnet.c
index 919bd2dadf..2685d33362 100644
--- a/sys/bus/u4b/template/usb_template_serialnet.c
+++ b/sys/bus/u4b/template/usb_template_serialnet.c
@@ -46,7 +46,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_busdma.c b/sys/bus/u4b/usb_busdma.c
index fd10e964aa..438b9d1aa7 100644
--- a/sys/bus/u4b/usb_busdma.c
+++ b/sys/bus/u4b/usb_busdma.c
@@ -33,7 +33,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/mutex2.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
diff --git a/sys/bus/u4b/usb_core.c b/sys/bus/u4b/usb_core.c
index 0b0b795763..4bbcf9599b 100644
--- a/sys/bus/u4b/usb_core.c
+++ b/sys/bus/u4b/usb_core.c
@@ -39,7 +39,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_debug.c b/sys/bus/u4b/usb_debug.c
index de05f0c912..5b830a387e 100644
--- a/sys/bus/u4b/usb_debug.c
+++ b/sys/bus/u4b/usb_debug.c
@@ -32,7 +32,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_dev.c b/sys/bus/u4b/usb_dev.c
index 8efd3d506e..be0a4502b2 100644
--- a/sys/bus/u4b/usb_dev.c
+++ b/sys/bus/u4b/usb_dev.c
@@ -36,7 +36,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_device.c b/sys/bus/u4b/usb_device.c
index 036ddd806f..b5f96f3227 100644
--- a/sys/bus/u4b/usb_device.c
+++ b/sys/bus/u4b/usb_device.c
@@ -33,7 +33,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_dynamic.c b/sys/bus/u4b/usb_dynamic.c
index 5b6df6dc77..1c2959f1bb 100644
--- a/sys/bus/u4b/usb_dynamic.c
+++ b/sys/bus/u4b/usb_dynamic.c
@@ -33,7 +33,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_error.c b/sys/bus/u4b/usb_error.c
index c753a224c1..3623f42144 100644
--- a/sys/bus/u4b/usb_error.c
+++ b/sys/bus/u4b/usb_error.c
@@ -33,7 +33,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_generic.c b/sys/bus/u4b/usb_generic.c
index 798b3f8749..299f769c23 100644
--- a/sys/bus/u4b/usb_generic.c
+++ b/sys/bus/u4b/usb_generic.c
@@ -33,7 +33,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_handle_request.c b/sys/bus/u4b/usb_handle_request.c
index 82180caee4..0b9fedbfc3 100644
--- a/sys/bus/u4b/usb_handle_request.c
+++ b/sys/bus/u4b/usb_handle_request.c
@@ -33,7 +33,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_hid.c b/sys/bus/u4b/usb_hid.c
index 7ec6aad449..13da279c8d 100644
--- a/sys/bus/u4b/usb_hid.c
+++ b/sys/bus/u4b/usb_hid.c
@@ -41,7 +41,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_hub.c b/sys/bus/u4b/usb_hub.c
index 89b7c4838b..804b3b1d84 100644
--- a/sys/bus/u4b/usb_hub.c
+++ b/sys/bus/u4b/usb_hub.c
@@ -39,7 +39,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_lookup.c b/sys/bus/u4b/usb_lookup.c
index 50a6d28c8b..344cc97baf 100644
--- a/sys/bus/u4b/usb_lookup.c
+++ b/sys/bus/u4b/usb_lookup.c
@@ -33,7 +33,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_mbuf.c b/sys/bus/u4b/usb_mbuf.c
index 6d490ff6c3..6b82946b37 100644
--- a/sys/bus/u4b/usb_mbuf.c
+++ b/sys/bus/u4b/usb_mbuf.c
@@ -33,7 +33,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_msctest.c b/sys/bus/u4b/usb_msctest.c
index 7bdc07667d..383a69b999 100644
--- a/sys/bus/u4b/usb_msctest.c
+++ b/sys/bus/u4b/usb_msctest.c
@@ -41,7 +41,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_parse.c b/sys/bus/u4b/usb_parse.c
index 069310f2dc..3b9a90908c 100644
--- a/sys/bus/u4b/usb_parse.c
+++ b/sys/bus/u4b/usb_parse.c
@@ -33,7 +33,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_process.c b/sys/bus/u4b/usb_process.c
index ba15e5fb30..7afdc40ec6 100644
--- a/sys/bus/u4b/usb_process.c
+++ b/sys/bus/u4b/usb_process.c
@@ -35,7 +35,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/usb_transfer.c b/sys/bus/u4b/usb_transfer.c
index 3d4861b2c8..5a5d4fd90d 100644
--- a/sys/bus/u4b/usb_transfer.c
+++ b/sys/bus/u4b/usb_transfer.c
@@ -34,7 +34,6 @@
 #include <sys/thread.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/bus/u4b/wlan/if_urtwn.c b/sys/bus/u4b/wlan/if_urtwn.c
index fd5580a2b4..244b2e3d1a 100644
--- a/sys/bus/u4b/wlan/if_urtwn.c
+++ b/sys/bus/u4b/wlan/if_urtwn.c
@@ -32,7 +32,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/sockio.h>
 #include <sys/sysctl.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/mbuf.h>
 #include <sys/kernel.h>
diff --git a/sys/dev/disk/dm/crypt/dm_target_crypt.c b/sys/dev/disk/dm/crypt/dm_target_crypt.c
index 916c70a609..769d40e4f8 100644
--- a/sys/dev/disk/dm/crypt/dm_target_crypt.c
+++ b/sys/dev/disk/dm/crypt/dm_target_crypt.c
@@ -43,7 +43,6 @@
 #include <sys/malloc.h>
 #include <sys/mpipe.h>
 #include <sys/md5.h>
-#include <sys/mutex2.h>
 #include <crypto/sha1.h>
 #include <crypto/sha2/sha2.h>
 #include <opencrypto/cryptodev.h>
diff --git a/sys/dev/disk/iscsi/initiator/isc_cam.c b/sys/dev/disk/iscsi/initiator/isc_cam.c
index 226b0ad79a..0c39542e67 100644
--- a/sys/dev/disk/iscsi/initiator/isc_cam.c
+++ b/sys/dev/disk/iscsi/initiator/isc_cam.c
@@ -38,7 +38,6 @@
 #include <sys/sysctl.h>
 #include <sys/eventhandler.h>
 #include <sys/globaldata.h>
-#include <sys/mutex2.h>
 
 #include <bus/cam/cam.h>
 #include <bus/cam/cam_ccb.h>
diff --git a/sys/dev/disk/iscsi/initiator/isc_soc.c b/sys/dev/disk/iscsi/initiator/isc_soc.c
index 45c988159d..b9ed9fd435 100644
--- a/sys/dev/disk/iscsi/initiator/isc_soc.c
+++ b/sys/dev/disk/iscsi/initiator/isc_soc.c
@@ -53,7 +53,6 @@
 #include <sys/eventhandler.h>
 #include <sys/socketops.h>
 
-#include <sys/mutex2.h>
 #include <sys/mplock2.h>
 
 #include <bus/cam/cam.h>
diff --git a/sys/dev/disk/iscsi/initiator/isc_subr.c b/sys/dev/disk/iscsi/initiator/isc_subr.c
index 684ae0b2a3..14a4fd1534 100644
--- a/sys/dev/disk/iscsi/initiator/isc_subr.c
+++ b/sys/dev/disk/iscsi/initiator/isc_subr.c
@@ -52,7 +52,6 @@
 #include <sys/mbuf.h>
 #include <sys/libkern.h>
 #include <sys/eventhandler.h>
-#include <sys/mutex2.h>
 
 #include <bus/cam/cam.h>
 
diff --git a/sys/dev/disk/iscsi/initiator/iscsi.c b/sys/dev/disk/iscsi/initiator/iscsi.c
index 495933029d..f3137e6239 100644
--- a/sys/dev/disk/iscsi/initiator/iscsi.c
+++ b/sys/dev/disk/iscsi/initiator/iscsi.c
@@ -53,7 +53,6 @@
 #include <sys/mbuf.h>
 #include <sys/syslog.h>
 #include <sys/eventhandler.h>
-#include <sys/mutex2.h>
 #include <sys/devfs.h>
 #include <sys/udev.h>
 #include <sys/objcache.h>
diff --git a/sys/dev/disk/iscsi/initiator/iscsi_subr.c b/sys/dev/disk/iscsi/initiator/iscsi_subr.c
index 18a6f63224..c13b5859e6 100644
--- a/sys/dev/disk/iscsi/initiator/iscsi_subr.c
+++ b/sys/dev/disk/iscsi/initiator/iscsi_subr.c
@@ -51,7 +51,6 @@
 #include <bus/cam/scsi/scsi_message.h>
 #include <sys/eventhandler.h>
 
-#include <sys/mutex2.h>
 
 #include <dev/disk/iscsi/initiator/iscsi.h>
 #include <dev/disk/iscsi/initiator/iscsivar.h>
diff --git a/sys/dev/disk/iscsi/initiator/iscsivar.h b/sys/dev/disk/iscsi/initiator/iscsivar.h
index d8aad909c0..1435834216 100644
--- a/sys/dev/disk/iscsi/initiator/iscsivar.h
+++ b/sys/dev/disk/iscsi/initiator/iscsivar.h
@@ -25,9 +25,12 @@
  *
  * $FreeBSD: src/sys/dev/iscsi/initiator/iscsivar.h,v 1.2 2008/11/25 07:17:11 scottl Exp $
  */
+
 /*
  | $Id: iscsivar.h,v 1.30 2007/04/22 10:12:11 danny Exp danny $
  */
+#include <sys/mutex2.h>
+
 #ifndef ISCSI_INITIATOR_DEBUG
 #define ISCSI_INITIATOR_DEBUG 1
 #endif
diff --git a/sys/dev/drm/drm_gem.c b/sys/dev/drm/drm_gem.c
index 1034aefcbc..cb307e0e16 100644
--- a/sys/dev/drm/drm_gem.c
+++ b/sys/dev/drm/drm_gem.c
@@ -59,7 +59,6 @@
 #include <sys/systm.h>
 #include <sys/limits.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/conf.h>
 
 #include <vm/vm.h>
diff --git a/sys/dev/misc/evdev/evdev_mt.c b/sys/dev/misc/evdev/evdev_mt.c
index cf4bf3c3d4..3034bcd139 100644
--- a/sys/dev/misc/evdev/evdev_mt.c
+++ b/sys/dev/misc/evdev/evdev_mt.c
@@ -30,7 +30,6 @@
 #include <sys/param.h>
 #include <sys/lock.h>
 #include <sys/malloc.h>
-#include <sys/mutex.h>
 #include <sys/systm.h>
 
 #include <dev/misc/evdev/evdev.h>
diff --git a/sys/dev/misc/kbdmux/kbdmux.c b/sys/dev/misc/kbdmux/kbdmux.c
index 29bfa0b393..e29be84a03 100644
--- a/sys/dev/misc/kbdmux/kbdmux.c
+++ b/sys/dev/misc/kbdmux/kbdmux.c
@@ -43,7 +43,6 @@
 #include <sys/lock.h>
 #include <sys/malloc.h>
 #include <sys/module.h>
-#include <sys/mutex.h>
 #include <sys/poll.h>
 #include <sys/proc.h>
 #include <sys/queue.h>
diff --git a/sys/dev/netif/ath/ath/if_ath.c b/sys/dev/netif/ath/ath/if_ath.c
index a46a10afe9..f9dcf979ec 100644
--- a/sys/dev/netif/ath/ath/if_ath.c
+++ b/sys/dev/netif/ath/ath/if_ath.c
@@ -59,7 +59,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_ahb.c b/sys/dev/netif/ath/ath/if_ath_ahb.c
index 26e28bec12..276f5b916d 100644
--- a/sys/dev/netif/ath/ath/if_ath_ahb.c
+++ b/sys/dev/netif/ath/ath/if_ath_ahb.c
@@ -43,7 +43,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/module.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 
 #if defined(__DragonFly__)
diff --git a/sys/dev/netif/ath/ath/if_ath_alq.c b/sys/dev/netif/ath/ath/if_ath_alq.c
index 564901f2b8..cae9e0fdc5 100644
--- a/sys/dev/netif/ath/ath/if_ath_alq.c
+++ b/sys/dev/netif/ath/ath/if_ath_alq.c
@@ -45,7 +45,6 @@
 #include <sys/pcpu.h>
 #endif
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #if defined(__DragonFly__)
 /* empty */
 #else
diff --git a/sys/dev/netif/ath/ath/if_ath_beacon.c b/sys/dev/netif/ath/ath/if_ath_beacon.c
index 491aada20c..c96a6347d7 100644
--- a/sys/dev/netif/ath/ath/if_ath_beacon.c
+++ b/sys/dev/netif/ath/ath/if_ath_beacon.c
@@ -55,7 +55,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_btcoex.c b/sys/dev/netif/ath/ath/if_ath_btcoex.c
index 96cd00e3f6..a1f2d29999 100644
--- a/sys/dev/netif/ath/ath/if_ath_btcoex.c
+++ b/sys/dev/netif/ath/ath/if_ath_btcoex.c
@@ -45,7 +45,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/kernel.h>
 #include <sys/lock.h>
 #include <sys/malloc.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 
 #if defined(__DragonFly__)
diff --git a/sys/dev/netif/ath/ath/if_ath_debug.c b/sys/dev/netif/ath/ath/if_ath_debug.c
index fdf6ddbfae..a8b25c6179 100644
--- a/sys/dev/netif/ath/ath/if_ath_debug.c
+++ b/sys/dev/netif/ath/ath/if_ath_debug.c
@@ -44,7 +44,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_descdma.c b/sys/dev/netif/ath/ath/if_ath_descdma.c
index c01468d0e5..05f9a074ac 100644
--- a/sys/dev/netif/ath/ath/if_ath_descdma.c
+++ b/sys/dev/netif/ath/ath/if_ath_descdma.c
@@ -55,7 +55,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_ioctl.c b/sys/dev/netif/ath/ath/if_ath_ioctl.c
index b0a94bcbb6..ffd5ca68a1 100644
--- a/sys/dev/netif/ath/ath/if_ath_ioctl.c
+++ b/sys/dev/netif/ath/ath/if_ath_ioctl.c
@@ -55,7 +55,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_keycache.c b/sys/dev/netif/ath/ath/if_ath_keycache.c
index aa19da2c39..1d6c6ca9f6 100644
--- a/sys/dev/netif/ath/ath/if_ath_keycache.c
+++ b/sys/dev/netif/ath/ath/if_ath_keycache.c
@@ -47,7 +47,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_led.c b/sys/dev/netif/ath/ath/if_ath_led.c
index e616d4ac3f..4a4f7681af 100644
--- a/sys/dev/netif/ath/ath/if_ath_led.c
+++ b/sys/dev/netif/ath/ath/if_ath_led.c
@@ -52,7 +52,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_lna_div.c b/sys/dev/netif/ath/ath/if_ath_lna_div.c
index abd657520e..f3b723dcc0 100644
--- a/sys/dev/netif/ath/ath/if_ath_lna_div.c
+++ b/sys/dev/netif/ath/ath/if_ath_lna_div.c
@@ -45,7 +45,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/kernel.h>
 #include <sys/lock.h>
 #include <sys/malloc.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 
 #if defined(__DragonFly__)
diff --git a/sys/dev/netif/ath/ath/if_ath_pci.c b/sys/dev/netif/ath/ath/if_ath_pci.c
index b1c28dd56f..b4bacdc1db 100644
--- a/sys/dev/netif/ath/ath/if_ath_pci.c
+++ b/sys/dev/netif/ath/ath/if_ath_pci.c
@@ -41,7 +41,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/module.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 
 #if defined(__DragonFly__)
diff --git a/sys/dev/netif/ath/ath/if_ath_rx.c b/sys/dev/netif/ath/ath/if_ath_rx.c
index 3d16482271..6ed4089890 100644
--- a/sys/dev/netif/ath/ath/if_ath_rx.c
+++ b/sys/dev/netif/ath/ath/if_ath_rx.c
@@ -55,7 +55,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_rx_edma.c b/sys/dev/netif/ath/ath/if_ath_rx_edma.c
index 67401ba446..2e9b0c7f6e 100644
--- a/sys/dev/netif/ath/ath/if_ath_rx_edma.c
+++ b/sys/dev/netif/ath/ath/if_ath_rx_edma.c
@@ -55,7 +55,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_spectral.c b/sys/dev/netif/ath/ath/if_ath_spectral.c
index 2bb5d0ad84..1d2e001308 100644
--- a/sys/dev/netif/ath/ath/if_ath_spectral.c
+++ b/sys/dev/netif/ath/ath/if_ath_spectral.c
@@ -44,7 +44,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/kernel.h>
 #include <sys/lock.h>
 #include <sys/malloc.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 
 #if defined(__DragonFly__)
diff --git a/sys/dev/netif/ath/ath/if_ath_sysctl.c b/sys/dev/netif/ath/ath/if_ath_sysctl.c
index 454a6de79a..df5b6a0916 100644
--- a/sys/dev/netif/ath/ath/if_ath_sysctl.c
+++ b/sys/dev/netif/ath/ath/if_ath_sysctl.c
@@ -47,7 +47,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_tdma.c b/sys/dev/netif/ath/ath/if_ath_tdma.c
index fec777c790..25ffc1a06d 100644
--- a/sys/dev/netif/ath/ath/if_ath_tdma.c
+++ b/sys/dev/netif/ath/ath/if_ath_tdma.c
@@ -55,7 +55,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_tx.c b/sys/dev/netif/ath/ath/if_ath_tx.c
index 049b99b27b..363aa45f93 100644
--- a/sys/dev/netif/ath/ath/if_ath_tx.c
+++ b/sys/dev/netif/ath/ath/if_ath_tx.c
@@ -48,7 +48,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_tx_edma.c b/sys/dev/netif/ath/ath/if_ath_tx_edma.c
index 4c5c259aae..a8c1eb4438 100644
--- a/sys/dev/netif/ath/ath/if_ath_tx_edma.c
+++ b/sys/dev/netif/ath/ath/if_ath_tx_edma.c
@@ -55,7 +55,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath/if_ath_tx_ht.c b/sys/dev/netif/ath/ath/if_ath_tx_ht.c
index 1658e3769b..268d95c184 100644
--- a/sys/dev/netif/ath/ath/if_ath_tx_ht.c
+++ b/sys/dev/netif/ath/ath/if_ath_tx_ht.c
@@ -40,7 +40,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
diff --git a/sys/dev/netif/ath/ath_dfs/null/dfs_null.c b/sys/dev/netif/ath/ath_dfs/null/dfs_null.c
index da4390b4e9..6528d5d079 100644
--- a/sys/dev/netif/ath/ath_dfs/null/dfs_null.c
+++ b/sys/dev/netif/ath/ath_dfs/null/dfs_null.c
@@ -44,7 +44,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/kernel.h>
 #include <sys/lock.h>
 #include <sys/malloc.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 
 #if defined(__DragonFly__)
diff --git a/sys/dev/netif/ath/ath_hal/ah_osdep.c b/sys/dev/netif/ath/ath_hal/ah_osdep.c
index bd60f9bc35..55dc4d96bf 100644
--- a/sys/dev/netif/ath/ath_hal/ah_osdep.c
+++ b/sys/dev/netif/ath/ath_hal/ah_osdep.c
@@ -47,7 +47,6 @@
 #include <sys/pcpu.h>
 #endif
 #include <sys/lock.h>
-#include <sys/mutex.h>
 
 #include <machine/stdarg.h>
 
diff --git a/sys/dev/netif/ath/ath_rate/amrr/amrr.c b/sys/dev/netif/ath/ath_rate/amrr/amrr.c
index 7a24227699..7a88704ae9 100644
--- a/sys/dev/netif/ath/ath_rate/amrr/amrr.c
+++ b/sys/dev/netif/ath/ath_rate/amrr/amrr.c
@@ -54,7 +54,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/sysctl.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 
 #if defined(__DragonFly__)
diff --git a/sys/dev/netif/ath/ath_rate/onoe/onoe.c b/sys/dev/netif/ath/ath_rate/onoe/onoe.c
index ac68545250..1b9691d659 100644
--- a/sys/dev/netif/ath/ath_rate/onoe/onoe.c
+++ b/sys/dev/netif/ath/ath_rate/onoe/onoe.c
@@ -42,7 +42,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/sysctl.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 
 #if defined(__DragonFly__)
diff --git a/sys/dev/netif/ath/ath_rate/sample/sample.c b/sys/dev/netif/ath/ath_rate/sample/sample.c
index 908b3a4c3b..4c3f1fd8cb 100644
--- a/sys/dev/netif/ath/ath_rate/sample/sample.c
+++ b/sys/dev/netif/ath/ath_rate/sample/sample.c
@@ -52,7 +52,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/kernel.h>
 #include <sys/lock.h>
 #include <sys/malloc.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 
 #if defined(__DragonFly__)
diff --git a/sys/dev/netif/bwn/bwn/if_bwn.c b/sys/dev/netif/bwn/bwn/if_bwn.c
index b3f5bfdfaf..461ebc1186 100644
--- a/sys/dev/netif/bwn/bwn/if_bwn.c
+++ b/sys/dev/netif/bwn/bwn/if_bwn.c
@@ -45,7 +45,6 @@
 #include <sys/errno.h>
 #include <sys/firmware.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #if !defined(__DragonFly__)
 #include <machine/bus.h>
 #include <machine/resource.h>
diff --git a/sys/dev/netif/bwn/bwn/if_bwn_phy_common.c b/sys/dev/netif/bwn/bwn/if_bwn_phy_common.c
index e525bfb394..7e8bb5d190 100644
--- a/sys/dev/netif/bwn/bwn/if_bwn_phy_common.c
+++ b/sys/dev/netif/bwn/bwn/if_bwn_phy_common.c
@@ -43,7 +43,6 @@
 #include <sys/errno.h>
 #include <sys/firmware.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #if !defined(__DragonFly__)
 #include <machine/bus.h>
 #include <machine/resource.h>
diff --git a/sys/dev/netif/bwn/bwn/if_bwn_phy_g.c b/sys/dev/netif/bwn/bwn/if_bwn_phy_g.c
index 1356b9c829..367c15e3c9 100644
--- a/sys/dev/netif/bwn/bwn/if_bwn_phy_g.c
+++ b/sys/dev/netif/bwn/bwn/if_bwn_phy_g.c
@@ -42,7 +42,6 @@
 #include <sys/errno.h>
 #include <sys/firmware.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #if !defined(__DragonFly__)
 #include <machine/bus.h>
 #include <machine/resource.h>
diff --git a/sys/dev/netif/bwn/bwn/if_bwn_phy_lp.c b/sys/dev/netif/bwn/bwn/if_bwn_phy_lp.c
index 2a0abe0d6b..b222de37ae 100644
--- a/sys/dev/netif/bwn/bwn/if_bwn_phy_lp.c
+++ b/sys/dev/netif/bwn/bwn/if_bwn_phy_lp.c
@@ -42,7 +42,6 @@
 #include <sys/errno.h>
 #include <sys/firmware.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #if !defined(__DragonFly__)
 #include <machine/bus.h>
 #include <machine/resource.h>
diff --git a/sys/dev/netif/bwn/bwn/if_bwn_util.c b/sys/dev/netif/bwn/bwn/if_bwn_util.c
index db73659a2d..e4feabc7b6 100644
--- a/sys/dev/netif/bwn/bwn/if_bwn_util.c
+++ b/sys/dev/netif/bwn/bwn/if_bwn_util.c
@@ -42,7 +42,6 @@
 #include <sys/errno.h>
 #include <sys/firmware.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #if !defined(__DragonFly__)
 #include <machine/bus.h>
 #include <machine/resource.h>
diff --git a/sys/dev/netif/bwn/siba/siba_bwn.c b/sys/dev/netif/bwn/siba/siba_bwn.c
index 7210fa2991..c7710c91e5 100644
--- a/sys/dev/netif/bwn/siba/siba_bwn.c
+++ b/sys/dev/netif/bwn/siba/siba_bwn.c
@@ -44,7 +44,6 @@ __FBSDID("$FreeBSD: head/sys/dev/siba/siba_bwn.c 299409 2016-05-11 06:27:46Z adr
 #include <sys/module.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/errno.h>
 #if !defined(__DragonFly__)
 #include <machine/bus.h>
diff --git a/sys/dev/netif/bwn/siba/siba_core.c b/sys/dev/netif/bwn/siba/siba_core.c
index 7421ebd0e1..72461665bd 100644
--- a/sys/dev/netif/bwn/siba/siba_core.c
+++ b/sys/dev/netif/bwn/siba/siba_core.c
@@ -44,7 +44,6 @@ __FBSDID("$FreeBSD: head/sys/dev/siba/siba_core.c 299541 2016-05-12 16:14:16Z ad
 #include <sys/endian.h>
 #include <sys/errno.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #if !defined(__DragonFly__)
 #include <machine/bus.h>
 #include <machine/resource.h>
diff --git a/sys/dev/netif/iwi/if_iwi.c b/sys/dev/netif/iwi/if_iwi.c
index 2f06a6860c..a45a5eb86e 100644
--- a/sys/dev/netif/iwi/if_iwi.c
+++ b/sys/dev/netif/iwi/if_iwi.c
@@ -43,7 +43,6 @@
 #include <sys/systm.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/module.h>
 #include <sys/bus.h>
 #include <sys/endian.h>
diff --git a/sys/dev/netif/ral/if_ral_pci.c b/sys/dev/netif/ral/if_ral_pci.c
index e51b540d96..cf1ed302dd 100644
--- a/sys/dev/netif/ral/if_ral_pci.c
+++ b/sys/dev/netif/ral/if_ral_pci.c
@@ -30,7 +30,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/module.h>
-#include <sys/mutex.h>
 #include <sys/rman.h>
 #include <sys/socket.h>
 
diff --git a/sys/dev/netif/ral/rt2560.c b/sys/dev/netif/ral/rt2560.c
index b2612d7756..c72dd850a4 100644
--- a/sys/dev/netif/ral/rt2560.c
+++ b/sys/dev/netif/ral/rt2560.c
@@ -34,7 +34,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/systm.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/module.h>
 #include <sys/bus.h>
 #include <sys/endian.h>
diff --git a/sys/dev/netif/ral/rt2661.c b/sys/dev/netif/ral/rt2661.c
index e7b3f4e5a1..15de3bf643 100644
--- a/sys/dev/netif/ral/rt2661.c
+++ b/sys/dev/netif/ral/rt2661.c
@@ -34,7 +34,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/systm.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/module.h>
 #include <sys/bus.h>
 #include <sys/endian.h>
diff --git a/sys/dev/netif/ral/rt2860.c b/sys/dev/netif/ral/rt2860.c
index 72b0bf5274..4e16695a3f 100644
--- a/sys/dev/netif/ral/rt2860.c
+++ b/sys/dev/netif/ral/rt2860.c
@@ -34,7 +34,6 @@ __FBSDID("$FreeBSD$");
 #include <sys/systm.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/module.h>
 #include <sys/bus.h>
 #include <sys/endian.h>
diff --git a/sys/dev/powermng/intpm/intpm.c b/sys/dev/powermng/intpm/intpm.c
index c3b376b5fa..d246bceb4d 100644
--- a/sys/dev/powermng/intpm/intpm.c
+++ b/sys/dev/powermng/intpm/intpm.c
@@ -33,7 +33,6 @@
 #include <sys/kernel.h>
 #include <sys/lock.h>
 #include <sys/module.h>
-#include <sys/mutex.h>
 #include <sys/rman.h>
 #include <sys/machintr.h>
 #include <bus/smbus/smbconf.h>
diff --git a/sys/dev/sound/midi/midi.c b/sys/dev/sound/midi/midi.c
index 63f41e33da..d49f8848bb 100644
--- a/sys/dev/sound/midi/midi.c
+++ b/sys/dev/sound/midi/midi.c
@@ -41,7 +41,6 @@ __FBSDID("$FreeBSD: head/sys/dev/sound/midi/midi.c 227309 2011-11-07 15:43:11Z e
 #include <sys/queue.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/proc.h>
 #include <sys/signalvar.h>
 #include <sys/conf.h>
diff --git a/sys/dev/sound/midi/mpu401.c b/sys/dev/sound/midi/mpu401.c
index eaf5e3b717..2628bf0438 100644
--- a/sys/dev/sound/midi/mpu401.c
+++ b/sys/dev/sound/midi/mpu401.c
@@ -32,7 +32,6 @@ __FBSDID("$FreeBSD: head/sys/dev/sound/midi/mpu401.c 193979 2009-06-11 09:06:09Z
 #include <sys/queue.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/proc.h>
 #include <sys/systm.h>
 #include <sys/kobj.h>
diff --git a/sys/dev/sound/midi/sequencer.c b/sys/dev/sound/midi/sequencer.c
index 30ecdcdb75..fd4b1054ad 100644
--- a/sys/dev/sound/midi/sequencer.c
+++ b/sys/dev/sound/midi/sequencer.c
@@ -57,7 +57,6 @@ __FBSDID("$FreeBSD: head/sys/dev/sound/midi/sequencer.c 274035 2014-11-03 11:11:
 #include <sys/rman.h>
 #include <sys/mman.h>
 #include <sys/poll.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/kthread.h>
 #include <sys/unistd.h>
diff --git a/sys/dev/sound/pci/emu10kx-pcm.c b/sys/dev/sound/pci/emu10kx-pcm.c
index 97c8591a81..207c17be17 100644
--- a/sys/dev/sound/pci/emu10kx-pcm.c
+++ b/sys/dev/sound/pci/emu10kx-pcm.c
@@ -35,7 +35,6 @@
 #include <sys/sbuf.h>
 #include <sys/queue.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 
 #ifdef HAVE_KERNEL_OPTION_HEADERS
 #include "opt_snd.h"
diff --git a/sys/dev/virtual/virtio/balloon/virtio_balloon.c b/sys/dev/virtual/virtio/balloon/virtio_balloon.c
index e364e94024..80c1b326b3 100644
--- a/sys/dev/virtual/virtio/balloon/virtio_balloon.c
+++ b/sys/dev/virtual/virtio/balloon/virtio_balloon.c
@@ -75,7 +75,6 @@
 #include <sys/sglist.h>
 #include <sys/sysctl.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/queue.h>
 
 #include <vm/vm.h>
diff --git a/sys/emulation/ndis/kern_ndis.c b/sys/emulation/ndis/kern_ndis.c
index b10282af4b..150bc82837 100644
--- a/sys/emulation/ndis/kern_ndis.c
+++ b/sys/emulation/ndis/kern_ndis.c
@@ -44,7 +44,6 @@
 #include <sys/proc.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/conf.h>
 
 #include <sys/kernel.h>
diff --git a/sys/emulation/ndis/kern_windrv.c b/sys/emulation/ndis/kern_windrv.c
index a6bea68bc6..351955f4ba 100644
--- a/sys/emulation/ndis/kern_windrv.c
+++ b/sys/emulation/ndis/kern_windrv.c
@@ -40,7 +40,6 @@
 #include <sys/kernel.h>
 #include <sys/malloc.h>
 #include <sys/lock.h>
-#include <sys/mutex2.h>
 #include <sys/module.h>
 #include <sys/conf.h>
 #include <sys/mbuf.h>
diff --git a/sys/emulation/ndis/subr_hal.c b/sys/emulation/ndis/subr_hal.c
index b7b84ddf9a..d783883762 100644
--- a/sys/emulation/ndis/subr_hal.c
+++ b/sys/emulation/ndis/subr_hal.c
@@ -39,7 +39,6 @@
 #include <sys/callout.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/proc.h>
 #include <sys/sched.h>
 #include <sys/module.h>
diff --git a/sys/kern/subr_unit.c b/sys/kern/subr_unit.c
index a70d9597af..b7778a9896 100644
--- a/sys/kern/subr_unit.c
+++ b/sys/kern/subr_unit.c
@@ -79,7 +79,6 @@
 #include <sys/systm.h>
 #include <sys/limits.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/proc.h>
 
 /*
diff --git a/sys/net/pf/pf_ioctl.c b/sys/net/pf/pf_ioctl.c
index 41ec1e53a5..77a6fe0cc4 100644
--- a/sys/net/pf/pf_ioctl.c
+++ b/sys/net/pf/pf_ioctl.c
@@ -88,7 +88,6 @@
 
 #include <machine/limits.h>
 #include <net/pfil.h>
-#include <sys/mutex.h>
 
 u_int rt_numfibs = RT_NUMFIBS;
 
diff --git a/sys/netgraph7/bluetooth/drivers/ubtbcmfw/ubtbcmfw.c b/sys/netgraph7/bluetooth/drivers/ubtbcmfw/ubtbcmfw.c
index 46ba3e678e..af801c80d2 100644
--- a/sys/netgraph7/bluetooth/drivers/ubtbcmfw/ubtbcmfw.c
+++ b/sys/netgraph7/bluetooth/drivers/ubtbcmfw/ubtbcmfw.c
@@ -40,7 +40,6 @@
 #include <sys/bus.h>
 #include <sys/module.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/condvar.h>
 #include <sys/sysctl.h>
 #include <sys/unistd.h>
diff --git a/sys/platform/pc64/x86_64/machdep.c b/sys/platform/pc64/x86_64/machdep.c
index 6acf45d1ee..43bc324a01 100644
--- a/sys/platform/pc64/x86_64/machdep.c
+++ b/sys/platform/pc64/x86_64/machdep.c
@@ -84,7 +84,6 @@
 
 #include <sys/thread2.h>
 #include <sys/mplock2.h>
-#include <sys/mutex2.h>
 
 #include <sys/exec.h>
 #include <sys/cons.h>
diff --git a/sys/vfs/hammer2/hammer2_iocom.c b/sys/vfs/hammer2/hammer2_iocom.c
index ccb1852661..1de09b3f45 100644
--- a/sys/vfs/hammer2/hammer2_iocom.c
+++ b/sys/vfs/hammer2/hammer2_iocom.c
@@ -52,8 +52,6 @@
 #include <sys/dirent.h>
 #include <sys/uio.h>
 
-#include <sys/mutex.h>
-#include <sys/mutex2.h>
 
 #include "hammer2.h"
 #include "hammer2_disk.h"
diff --git a/sys/vfs/hammer2/hammer2_vfsops.c b/sys/vfs/hammer2/hammer2_vfsops.c
index 6e9764084e..ef2513272e 100644
--- a/sys/vfs/hammer2/hammer2_vfsops.c
+++ b/sys/vfs/hammer2/hammer2_vfsops.c
@@ -52,8 +52,6 @@
 #include <sys/dirent.h>
 #include <sys/uio.h>
 
-#include <sys/mutex.h>
-#include <sys/mutex2.h>
 
 #include "hammer2.h"
 #include "hammer2_disk.h"
diff --git a/sys/vfs/nfs/nfs_iod.c b/sys/vfs/nfs/nfs_iod.c
index a5c88cda4f..d5b9e73249 100644
--- a/sys/vfs/nfs/nfs_iod.c
+++ b/sys/vfs/nfs/nfs_iod.c
@@ -55,7 +55,6 @@
 #include <sys/signalvar.h>
 
 #include <sys/signal2.h>
-#include <sys/mutex2.h>
 
 #include <netinet/in.h>
 #include <netinet/tcp.h>
diff --git a/sys/vfs/tmpfs/tmpfs_vfsops.c b/sys/vfs/tmpfs/tmpfs_vfsops.c
index b4cf8ba4cd..62d9b3ce9e 100644
--- a/sys/vfs/tmpfs/tmpfs_vfsops.c
+++ b/sys/vfs/tmpfs/tmpfs_vfsops.c
@@ -44,7 +44,6 @@
 #include <sys/param.h>
 #include <sys/limits.h>
 #include <sys/lock.h>
-#include <sys/mutex.h>
 #include <sys/kernel.h>
 #include <sys/stat.h>
 #include <sys/systm.h>
-- 
2.25.0

